# Created by pyp2rpm-3.3.3
%global pypi_name peewee

Name:           python-%{pypi_name}
Version:        3.14.0
Release:        %mkrel 1
Summary:        A little orm
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/peewee/
Source0:        %{pypi_source}
Patch0:		peewee-linking.patch
BuildRequires:  python3-devel
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:	pkgconfig(sqlite3)
# for tests
BuildRequires:	python3dist(apsw)
BuildRequires:	python3dist(psycopg2)
BuildRequires:	python3dist(sqlcipher3)

%description
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst playhouse/README.md
%doc html
%{_bindir}/pwiz.py
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/pwiz.py
%{python3_sitearch}/playhouse
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 22 2020 guillomovitch <guillomovitch> 3.14.0-1.mga8
+ Revision: 1662979
- new version 3.14.0

* Tue May 19 2020 wally <wally> 3.13.3-1.mga8
+ Revision: 1586202
- new version 3.13.3

* Tue Apr 07 2020 wally <wally> 3.13.2-1.mga8
+ Revision: 1565452
- new version 3.13.2

* Tue Feb 18 2020 umeabot <umeabot> 3.13.1-2.mga8
+ Revision: 1541337
- Mageia 8 Mass Rebuild

* Tue Dec 24 2019 wally <wally> 3.13.1-1.mga8
+ Revision: 1469907
- new version 3.13.1

* Thu Nov 28 2019 wally <wally> 3.12.0-1.mga8
+ Revision: 1463441
- imported package python-peewee

